Subject: Re: bug#59580: 29.0.50; [PATCH] Add new choices to bookmark-sort-flag

From: Eli Zaretskii <[email-masked]>
Date: Tue, 19 Dec 2023 14:25:31 +0200

> From: Karl Fogel <[email-masked]>
> Cc: Gabriel <[email-masked]>,  [email-masked]
> Date: Mon, 18 Dec 2023 17:26:09 -0600
> 
> Regarding the use of `string-collate-lessp':
> 
> I think using `string-collate-lessp' makes sense here.  This is 
> about sorted lists presented to the user, so the sorting should 
> act according to locale (and when Emacs suspects that the locale 
> wouldn't collate correctly, `string-collate-lessp' falls back to 
> `string-lessp' anyway).

It is IMO un-Emacsy to do things in locale-dependent manner.  Which
other feature do you know of that sorts text in locale-dependent
fashion?

So I still think using string-collate-lessp here is not the best idea.